AFM2000 About

About AFM2000

AFM2000 is FM radio application. It supports recording with realtime compression to WAV format and playing of WAVe files. Other features are:
  • Tuning of FM frequency range

  • Volume correction for every station independend

  • Mono/stereo support

  • Recording with realtime compression to WAV file without need of temporal file (see recording for more info)

  • The look of application can be changed with skins

  • Languages support

  • FM cards support can be extended with plugins - whats new - the plugins for AFM2000 and Radiator are now compatible! Thx to Miroslav Flesko ...

  • Sheduler will come as part of ARC2000 remote control - stay tuned !

AFM2000 is freeware and is released under GNU general public licence, can be distributed as well, but only without any donation. See the licence for more info.

For new version go to my page at www.geocities.com/mikecrash.geo or to www.tvfreak.cz, the czech site about PCTV cards, decoders and video capture/editing. Make sure there is also ATV2000 - the TV viewing application with capture and filters - and ARC2000 - remote control with sheduler and plugins - available.

Programmed by Mike Crash, thanks for help to TV Zuggy, Miroslav Flesko for plugin support, DC98 for design and all other people for comments and testing.


AFM2000 About

Licence agreement

AFM2000 is freeware. It means it can be free distributed, copied, burned to CD etc., but only as is in this installation package. It cannot be distributed as part of any other software, no part of AFM2000 can be included to other software and cannot be distributed with FM/TV Cards.

Also there is no responsibility for any demage of computer, it may cause. You are running it on your own risc. There is no official support, but i try to respond to all questions {except the stupid ones) you send me.


AFM2000 Basic use

Basic use

The usage is very easy, just try it.

You can adjust volume with two buttons - "Volume +" and "Volume -" - or draging the slider bar. You can mute sound by pressing the mute button.

Stations can be swithed with buttons 1-10, "Preset +" or "Preset -" or by selecting from menu, that appears when clicking on station name or from main menu (press right mouse button on skin). For switching between the last selected stations, press Loop button. For more information how to store stations click here. The sound mode mono or stereo can be switched with Sound button.

On display you can see Station name, frequency, current time or reording/playing time, stereo and mono status and record/playback status.

Recording/playing can be controlled with Record, Play and Stop buttons. For setting file for recording, press Save button, for opening file for playing, press Open button (this button also sets format for recording to filetype). Select codec for recording by choosing Select codec from menu. For more information on recording click here.


AFM2000 About

Station setup

AFM2000 can store tuned stations to memory. It is called station list.

Press the "Station setup" button or select from menu "Station setup" to open station setup dialog. The dialog has two pages.

First page is station list, the first column is index, the second name of station, third frequency and the last volume correction for current station. You can delete some station by clicking on it (selecting), pressing right mouse button and in menu appeared press delete. You can adjust position of stations by draging one up or down (use the gray box in left). To add station to list, go to the second page in dialog.

In second page tune to the desired frequency in use with the scrollbar or scan buttons in top-right corner. Enter the station name and if necessary volume correction in percents (±50%). Finally press "Insert to list" button and station will be added as last station to the list. If station with that name exists, you will be prompted to overwrite it or append to list.

Press OK button to save the station list or Cancel to reject changes.

See also: Tuning


AFM2000 About

Tuning

You have three choices when tuning desired station.

1. The first one is to enter desired frequency direct with keyboard. Just press the keys 0-9 and enter the frequency. For example, if you want to tune 105.50Mhz, just press the keys 1,0,5 and finally 5. The smallest step in this type of tunning is 0.1MHz, the last digit is not used. Other example: for tune 91.60MHz press 9,1 and 6, that's all.

2. The second way is to use buttons "Tune +", "Tune -" and "Fine Tune +", "Fine Tune -". Pressing this keys will increase/decrease frequency by amount specified in options, typically by 1MHz when pressing "Tune" and 0.05MHz when pressing "Fine Tune". You can keep the key pressed and it will tune automatically until you release the key.

3. The last way is to use buttons "Scan +" and "Scan -". By pressing this key, AFM2000 will scan from current frequency up/down until it finds first station. This method is easiest, but on some machines may not be accurate, because of PC noise and other EMC effects.

See also Station setup for more info on saving stations to memory.


AFM2000 Shortcuts

Shortcuts

You can control AFM2000 with keyboard shortcuts. This controls are now implemented:

+ | next station
- | previous station
* | mute
/ | stereo/mono switch
0..9 keys | direct frequency key input
up arrow | increase volume
down arrow | decrease volume
left arrow | scan down
right arrow | scan up
pgup | increase volume by larger margin
pgdown | decrease volume by larger margin

Also you can use command line parameters on AFM2000 startup:

/tune xxx | tune station xxx (case sensitive) or frequency (in format 9970=99.7MHz)
/file xxx | set recording filename
/profile.xxx | set profile for recording
/rec | start recording
/rdur xxx | recording duration in seconds


AFM2000 System setup

System

FM card module
This box specifies DLL module (plugin) to use to control FM card.

Sound source
Source from sound card mixer where is the FM card connected to. Usually it is Line in or Aux input.

Default volume
Defualt volume level of the sound source between 0-100. This is the volume of uncorrected station (volume correction in station setup set to 0%).

Sound on exit
What to do whith sound on AFM2000 exit - Mute will mute sound, Unmute will enable sound even thought it was muted, Don't change will keep current setting and Ask me shows dialog to select muted or umuted state.

Tune step and fine tune step
Select frequency step for tune and fine tune buttons.

Use mixer mute instead of card mute
When checked, AFM2000 will use standart audio mixer (sound source set above) to mute sound and not FM card's mute function.

Enable sound detection (mono/stereo)
When checked, AFM2000 asks FM card if stereo signal was detected and swithes to stereo or mono according to detection. FM card must support it.

Skin
Here select look of application.

Language
Select your nearest language or language you can understand it.


AFM2000 FM card setup

FM card

In this page you will set other specific properties for FM card module selected in page System. This is other for every module.

Here is example of setup for BT8x8 module:

FM card
Here select your T/FM card name, for example AVerMedia TVPhone98 or other. If you select Use values bellow, module will use properties in next boxes, otherwise it is ignored and used default values for selected card.

Tuner type
Type of tuner to control, only Philips tuners are intergrated with FM radio reception, so it is the only one choice.

Tuner address
Set tuner addres to C0, C2, C4 or C6 dependent on your card configuartion.

GPIO Mute
GPIO* value for muting sound

GPIO Unmute
GPIO* value for unmuting sound

GPIO Out Enable
Which GPIO* pins are active

* GPIO is General Purpose Input Output Port - paralel inteface on BT848/878 chipset.


AFM2000 Recording setup

Record

Default filename to record
Write in the edit box filename for recording, which is used after AFM2000 starts. It can be changed with selecting Set record filename in main menu.

Mixer
Checked Set recording source box enable setting of recording sound source in audio mixer. Select Source (possible same as in System/Sound source) and default Volume. ... and clear all others checkbox will clear all other sources, use it only on cards where multiple selection of sources are allowed.


AFM2000 Recording

Recording

With AFM2000 you can record radio station too. First select codec to tell system what encoding to use with Select codec in menu.. Selected codec with codec properties determines recording quality and size of file. If you require best quality, use PCM with 44.100 Hz sampling rate. To decrease file size choose other codec, ADPCM with 44.100 Hz sample rate gives acceptable quality with 1/4 size. Also set proper filename for recording with Set record filename in menu.

Press Record button or F5 to start recording. On display is shown recording time and record icon. To stop recording press Stop button or F6. Recorded file can be played back with Play button or F4. You can also open any WAV file for playback, it will set new codec which correspondes to this file and set new file for recording.

Warning: Please note that not all codecs may be used for realtime recording due to speed or system problems. Especially MP3 and WMV codecs has problems on Windows 9x. Click here for details on tested codecs.


AFM2000 Codecs

Codecs

Here is list of codecs tested with AFM2000:

Codec | Windows 95,98,Me | Windows NT | Windows 2000, XP
Acelp.net | OK |  | OK
CCITT A-law, µ-law | OK |  | OK
DV Audio | OK |  | OK
GSM 6.10 | OK |  | OK
Lernout&Hauspie | OK |  | OK
IMA ADPCM | OK |  | OK
Microsoft ADPCM | OK |  | OK
Fraunhoffer_MPEG-3 | freeze problems, but mostly works up to 64kbps - depends on CPU speed |  | OK
Voxware Metasound | NO |  | NO
Voxware Metavoice | NO |  | NO
WMV1 | NO |  | NO
WMV2 | some_formats_work |  | some_formats_work


AFM2000 About

Skins

AFM2000 includes brand new skin technology, which allows changing of look of the whole application. You can select another skin in Options, page System.

All skins are located in Skins directory in directory, where you have installed AFM2000. For more information on creating new skin, click here.


How to make new skin

When designing new skin, you typically go in this steps:

1) Design

In any of prefered paint application you create new image, which shows the main interface. It includes the place for display properties, buttons and slidebars. Buttons have three states: default state, active on mouse over and pressed state. See below for more info on buttons.

2) Creating mask file

With Mask generator you create mask, which defines the places to be transparent. When designing new skin, you will choose one color for transparency, this color shouldn't be used in other parts of skin. Also make sure, if you use antialias in drawing with painting program, the transition will be blured. It can be visible after mask generation, so turn it off or use very dark transparent color.

3) Creating skin file

All preferences for skin are defined in file with .SKN extension. It has several sections described bellow.

a) Section Main

In section [Main] are defined this parameters:

PictureDir=directory where all images are stored, this is
 usually     the   same as skin name
Picture=name of file with the main interface image
Mask=name of file with the mask
Buttons=number of buttons used
Labels=number of display items
SlideBars=number of slidebars
CheckBoxess=number of checkboxes, swithes or display icons
Background=background color for some items (SlideBars)

b) Section Buttons

Here are all buttons defined.

ButXPos=left,top position
ButXSize=width,height
ButXDefault=name of file with button default state
ButXDown=name of file with button pressed state
ButXUp=name of file with button on mouse over state
ButXName=name of button, it have not to be changed (or it will not work)

The button can be designed in two ways: The first is you will create image buttons in the main interface image in default state and another images for each button in pressed state. This will save disk space (default state image are not used). The second way is not to draw buttons on main interface image and create it separatelly. Also on mouse over state is not required, if not used, it will have behaviour like standart buttons.

c) Section Labels

 LabelXPos=left,top position
LabelXSize=width,height
LabelXFont=fontname,size
LabelXColor=color of text,bold (0/1)
LabelXAlign=allignment of text
LabelXName=name of label, it have not to be changed (or it will
not   work)

d) Section SlideBars

 LabelXPos=left,top position
LabelXSize=width,height
LabelXName=name of slidebar, it have not to be changed (or it will not
work)

If you set width grater then height, it will be positioned horizontally, else vertically.

e) Section CheckBoxes

 CheckBoxXPos=left,top position
CheckBoxXSize=width,heigth
CheckBoxXUnchecked=name of file in unchecked state
CheckBoxXChecked=name of file in checked (active) state
CheckBoxXName=name of checkbox, it have not to be changed (or it will
 not work)

Checkboxes can be used in two ways - it can have look of button in pressed or default state or can be icon for information purposes (on display etc.).

The X in parameter name is the index of item (button, label etc.).

4) Install

Installation is done by copying *.SKN file and bitmaps to the Skins directory. The bitmaps should be in separate directory with name same as skin name.


Properties for AFM2000 skins

Buttons
Button name | Description
Exit | Closes the window and exits AFM2000
Minimize | Minimizes main window
Open | Opens file for playback
Save | Sets file for recording
Loop | Loops last selected station
Stations | Opens station setup dialog
Options | Opens options dialog
Scan+ | Scans frequencies up direction
Scan- | Scans frequencies down direction
Mute | Mute sound
Volume+ | Inclrease volume by 5%
Volume- | Decrease volume by 5%
Stereo | Switch mono/stereo
Tune+ | Tune frequency up
Tune- | Tune frequency up
Play | Start playback
Record | Start recording
Stop | Stop playback or recording
1 ... 10 | Buttons for selecting first stations 1-10
Dec | Previous station
Inc | Next station
FineTune+ | Not used yet
FineTune- | Not used yet
About | Opens about dialog

Labels
Label name | Description
Station | Shows station name
Frequency | Shows frequency
Time | Shows time or playback/recording time

SlideBars
Slidebar name | Description
Volume | Change/show volume level

CheckBoxes
CheckBox name | Description
Stereo | Change/show mono/stereo (stereo in checked state)
Mute | Change/show mute
Play | Icon for playback
Record | Icon for record
AlwaysOnTop | Change/show always on top state